Status: Closed Priority: High

Author: Stavros Sachtouris Category: kamaki

Created: 02/04/2013 Assignee: Stavros Sachtouris
Updated: 02/12/2013 Due date: 02/15/2013
Subject: Adjust kamaki store client and interface to use UUID as unique user identifier
Description

Until now: Pithos storage service and Astakos identity manager used to uniquely identify users by their user/account name (usually an
e-mail address). Now they use a Unique User ID.

Target:

- Kamaki can minimize config requirements, by demanding just a token from user. Then, kamaki.clients.astakos client will be used to get
various user info

- Astakos interface should provide a method for setting the uuid in config file (e.g. astakos uuid get/set)

- Astakos client and interface must offer a translation mechanism between UUID and username or account

- Pithos client be remain independent to astakos client, therefore, only documentation and naming changes will be considered in the basic
functionality

- Pithos interface can use astakos client to translate between UUIDs accounts for presentation purposes, as well as for easy group and
permission setup

Related issues:
related to ./kamaki - Feature # 3231: Cache astakos authenticate retrieved re... Closed 02/07/2013 02/08/2013

History

#1 - 02/07/2013 07:17 pm - Stavros Sachtouris
- % Done changed from 0 to 90
- Estimated time set to 2.00

#2 - 02/08/2013 06:35 pm - Vangelis Koukis
- Category set to kamaki

#3 - 02/12/2013 03:45 pm - Stavros Sachtouris

- Status changed from New to Closed
- % Done changed from 90 to 100
